---
wsId: Celsius
title: 'Celsius: Buy and Earn Crypto'
altTitle: 
authors:
- leo
users: 500000
appId: network.celsius.wallet
appCountry: 
released: 2018-06-04
updated: 2022-04-08
version: 5.1.0
stars: 3.7
ratings: 7732
reviews: 1578
size: 102M
website: https://celsius.network
repository: 
issue: 
icon: network.celsius.wallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-11-16
signer: 
reviewArchive: 
twitter: celsiusnetwork
social:
- https://www.linkedin.com/company/celsiusnetwork
- https://www.facebook.com/CelsiusNetwork
redirect_from:
- /network.celsius.wallet/

---

> Use our fully functioning & secure crypto wallet & crypto lending platform to
  transfer and withdraw your Ethereum, Bitcoin, and over 30 other
  cryptocurrencies, free.

sounds like also a Bitcoin wallet.

The focus on "lending platform" doesn't make us hope for non-custodial parts to
it though ...

And sure enough, nowhere on the website can we find about this app being
non-custodial. As a custodial app, it is **not verifiable**.
